Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Classes | Public Attributes | List of all members
Halide::Internal::Autoscheduler::LoopNest::StageScheduleState Struct Reference

`#include <LoopNest.h>`

## Classes
struct | FuncVar

## Public Attributes
double | num_cores = 0
int | vector_dim = -1
int | vectorized_loop_index = -1
std::vector< FuncVar > | vars
std::ostringstream | schedule_source
const FunctionDAG::Node * | node
const FunctionDAG::Node::Stage * | stage
bool | parallel = false
bool | vectorized = false
bool | all_innermost_unrolled = false
FuncVar | vectorized_var
vector< FuncVar > | vars
vector< FuncVar > | ordered_vars
vector< int64_t > | gpu_thread_extents
NodeMap< std::vector< std::pair< const LoopNest *, std::vector< const FunctionDAG::Edge * > > > > | producers_to_be_staged
vector< StageScheduleState * > | ancestors

## Detailed Description

Definition at line 209 of file LoopNest.h.

## Member Data Documentation

## ◆ num_cores

double Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::num_cores = 0

Definition at line 211 of file LoopNest.h.

## ◆ vector_dim

int Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::vector_dim = -1

Definition at line 214 of file LoopNest.h.

## ◆ vectorized_loop_index

int Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::vectorized_loop_index = -1

Definition at line 215 of file LoopNest.h.

## ◆ vars [1/2]

std::vector<FuncVar> Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::vars

Definition at line 250 of file LoopNest.h.

## ◆ schedule_source

std::ostringstream Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::schedule_source

Definition at line 252 of file LoopNest.h.

## ◆ node

const FunctionDAG::Node* Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::node

Definition at line 628 of file LoopNest.h.

## ◆ stage

const FunctionDAG::Node::Stage* Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::stage

Definition at line 629 of file LoopNest.h.

## ◆ parallel

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::parallel = false

Definition at line 630 of file LoopNest.h.

## ◆ vectorized

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::vectorized = false

Definition at line 631 of file LoopNest.h.

## ◆ all_innermost_unrolled

bool Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::all_innermost_unrolled = false

Definition at line 632 of file LoopNest.h.

## ◆ vectorized_var

FuncVar Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::vectorized_var

Definition at line 633 of file LoopNest.h.

## ◆ vars [2/2]

vector<FuncVar> Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::vars

Definition at line 636 of file LoopNest.h.

## ◆ ordered_vars

vector<FuncVar> Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::ordered_vars

Definition at line 639 of file LoopNest.h.

## ◆ gpu_thread_extents

vector<int64_t> Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::gpu_thread_extents

Definition at line 640 of file LoopNest.h.

## ◆ producers_to_be_staged

NodeMap<std::vector<std::pair<const LoopNest *, std::vector<const FunctionDAG::Edge *> > > > Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::producers_to_be_staged

Definition at line 643 of file LoopNest.h.

## ◆ ancestors

vector<StageScheduleState *> Halide::Internal::Autoscheduler::LoopNest::StageScheduleState::ancestors

Definition at line 646 of file LoopNest.h.

The documentation for this struct was generated from the following files:

- src/autoschedulers/adams2019/LoopNest.h
- src/autoschedulers/anderson2021/LoopNest.h